This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 795509 (CVE-2012-0870)

Summary: CVE-2012-0870 samba: Any Batched ("AndX") request processing infinite recursion and heap-based buffer overflow
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gdeschner, jwright, mbarnes, mcermak, pmatouse, prc, rcvalle, sbose, security-response-team, ssorce
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20120221,reported=20120220,source=upstream,cvss2=8.3/AV:A/AC:L/Au:N/C:C/I:C/A:C,rhel-4/samba=affected,rhel-5/samba=affected,rhel-5/samba3x=notaffected,rhel-6/samba=notaffected,rhel-5.3.z/samba=affected,rhel-5.6.z/samba=affected,rhel-6/samba4=notaffected,fedora-all/samba=notaffected,cwe=CWE-674->CWE-119
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-24 08:35:29 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 795719, 795717, 795718, 796133, 796134    
Bug Blocks: 795554    
Attachments:
Description Flags
Proposed upstream patch against the v3.0 version none

Description Jan Lieskovsky 2012-02-20 13:33:48 EST
A flaw was found in the way Samba handled Any Batched (AndX) request packets. A malicious request could cause smbd to enter an infinite recursion and overflow heap-based buffer during recursive calls. This can be triggered by an unauthenticated attacker, resulting in smbd child process crash or possibly code execution.
Comment 1 Jan Lieskovsky 2012-02-20 14:01:45 EST
Created attachment 564503 [details]
Proposed upstream patch against the v3.0 version
Comment 4 Jan Lieskovsky 2012-02-20 16:05:23 EST
This issue affects the versions of the samba package, as shipped with Red Hat Enterprise Linux 4 and 5.

--

This issue did NOT affect the versions of the samba and samba4x package, as shipped with Red Hat Enterprise Linux 6.

--

This issue did NOT affect the versions of the samba package, as shipped with Fedora release of 15 and 16.
Comment 13 Huzaifa S. Sidhpurwala 2012-02-22 00:16:48 EST
This is public via:

http://btsc.webapps.blackberry.com/btsc/search.do?cmd=displayKC&docType=kc&externalId=KB29565
Comment 16 Jan Lieskovsky 2012-02-22 10:46:04 EST
Acknowledgements:


Red Hat would like to thank the Samba team for reporting this issue.
Upstream acknowledges Andy Davis of NGS Secure as the original reporter.
Comment 17 errata-xmlrpc 2012-02-23 15:24:54 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5.6 EUS - Server Only
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 5.3 Long Life

Via RHSA-2012:0332 https://rhn.redhat.com/errata/RHSA-2012-0332.html
Comment 18 Jan Lieskovsky 2012-02-24 04:55:15 EST
Upstream advisory:
http://www.samba.org/samba/security/CVE-2012-0870
Comment 19 Jan Lieskovsky 2012-02-24 08:02:40 EST
Statement:

This issue did not affect samba3x packages as shipped with Red Hat Enterprise Linux 5 and samba packages as shipped with Red Hat Enterprise Linux 6, as it only affected Samba versions prior to 3.4.0. This issue was addressed in samba packages in Red Hat Enterprise Linux 4 and 5 via RHSA-2012:0332.
Comment 20 Jan Lieskovsky 2012-02-24 08:33:45 EST
External Reference:

http://www.samba.org/samba/security/CVE-2012-0870